﻿package {
	import flash.display.Sprite;
	import flash.display.Shape;
	import flash.display.GradientType;
	import flash.geom.Point;
	import flash.events.*;
	import flash.utils.Timer;
	import flash.text.*;
	import flash.filters.*;
	
	import flash.display.Stage;
	import flash.display.StageAlign;
	import flash.display.StageDisplayState;
	
	import Hexagonfield;
	
	public class InfoBox extends Sprite {

		private var hex:Hexagonfield;
		private var tf:TextField;
		private var nameString:String;
		private var data:Array;
		
		public function InfoBox(_hexField:Hexagonfield){
			hex = _hexField;
			data = new Array(0, 0, 0, 0, 0, 0);
			
			drawInfo();
		}
		
		public function setData(_data:Array){
			data = _data;
			drawInfo();
		}
		
		private function drawInfo(){
			
			graphics.clear();
			
			graphics.beginFill(220<<16 | 220<<8 | 220);
			graphics.drawRoundRect(0, 0, 270, 110, 30, 30);
			
			graphics.beginFill(240<<16 | 240<<8 | 240);
			graphics.drawRoundRect(5, 5, 260, 100, 30, 30);
			
			graphics.endFill();
			
			graphics.lineStyle(1.5,200<<16 | 200<<8 | 200);
			graphics.moveTo(5, 55);
			graphics.lineTo(265, 55);
			
			
			var i:Number=0;
			
			var xDist = 260/data.length;
			var yDist = 45;
	
			for(i=0; i<data.length-1; i++){
				var colorbase:Number = data[i];
				var red = Math.max(0, 255*colorbase);
				var green = Math.max(0, 255*(-colorbase));
				graphics.lineStyle(1.5, red<<16 | green<<8 | 0);
				
				graphics.moveTo(5+xDist*i, 55 - (yDist*data[i]));
				graphics.lineTo(5+xDist*(i+1), 55 - (yDist*data[i+1]));
			}
			
			graphics.lineStyle(1.5,180<<16 | 180<<8 | 180);
			graphics.drawRoundRect(5, 5, 260, 100, 30, 30);
			
		}

	}
}